// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_ULevelScriptBlueprint.h"
#include "SCW_UBlueprint.h"

class ULevelScriptBlueprint;;

namespace Sourcify
{
	class SCW_ULevelScriptBlueprint : public SCW_UBlueprint, public virtual ISCW_ULevelScriptBlueprint
	{
	public:
		SCW_ULevelScriptBlueprint(ULevelScriptBlueprint* InLevelScriptBlueprint);

		ULevelScriptBlueprint* ToULevelScriptBlueprint() const;

		ISCW_ULevelScriptBlueprintPtr ToULevelScriptBlueprintPtr() override;
		ISCW_ULevelScriptBlueprintConstPtr ToULevelScriptBlueprintPtr() const override;

	protected:
		ULevelScriptBlueprint* LevelScriptBlueprint;
	};
} // namespace Sourcify